package com.sqx.modules.bl.commission.jjr.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.bl.commission.jjr.entity.JjrApply;
import com.sqx.modules.bl.commission.jjr.entity.JjrData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JjrDataDao extends BaseMapper<JjrData> {
    IPage<JjrData> findPage(Page<JjrData> page, @Param("params") JjrData jjrData);
    IPage<JjrData> invitationArtificerPage(Page<JjrData> page, @Param("params") JjrData jjrData);
    IPage<JjrData> artificerPage(Page<JjrData> page, @Param("params") JjrData jjrData);
    IPage<JjrData> findJjrPage(Page<JjrData> page, @Param("params") JjrData jjrData);
    void cancelInvitation(JjrData jjrData);
    JjrData getByCode(String invitationCode);
    void modifyJjr(JjrData jjrData);
}